Application Control
45 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getApplications | GET | Get application list |
| getFamilies | GET | Get family list |
| getFilters | GET | Get filter list |
| addFilter | POST | Create new filter |
| deleteFilters | DELETE | Delete an existing filter |
| editFilters | PUT | Modify an existing filter |
| getAssignRestrictions | GET | Get application control assigned restriction list |
| addAssignRestriction | POST | Create new restriction assigned to lan network |
| deleteAssignRestrictions | DELETE | Delete an existing restriction |
| editAssignRestrictions | PUT | Modify an existing restriction |
| getRules | GET | Get rule list |
| addRule | POST | Create new rule |
| deleteRules | DELETE | Delete an existing rule |
| editRule | PUT | Modify an existing rule |
| getApplicationControlStatus | GET | Get application control general settings |
| editApplicationControlStatus | PUT | Modify application control general settings |
| getApplicationControlTraffics | GET | Get top 10 application traffics |
| getAllowApp | GET | Get allow app |
| getBlockApp | GET | Get block app |
| getCategoryAppInfo | GET | Get app traffic in specific category |
| getCategoryInfo | GET | Get category info |
| getCategoryUserInfo | GET | Get client traffic in specific category |
| getClientTraffic | GET | Get clients traffic |
| getClientTrafficV2 | POST | Get clients traffic V2 |
| getMostActiveApplications | GET | Get most active applications |
| getSpecificAppInfo | GET | Get client traffic in specific app |
| getSpecificClientInfo | GET | Get app traffic in specific client |
| clearDpiData | DELETE | Clear DPI data |
| getClientTrafficList | POST | Get clients traffic list |
| getApplicationsTemplate | GET | Get application list |
| getFamiliesTemplate | GET | Get family list |
| getFiltersTemplate | GET | Get filter list |
| addFilterTemplate | POST | Create new filter |
| deleteFiltersTemplate | DELETE | Delete an existing filter |
| editFiltersTemplate | PUT | Modify an existing filter |
| getAssignRestrictionsTemplate | GET | Get application control assigned restriction list |
| addAssignRestrictionTemplate | POST | Create new restriction assigned to lan network |
| deleteAssignRestrictionsTemplate | DELETE | Delete an existing restriction |
| editAssignRestrictionsTemplate | PUT | Modify an existing restriction |
| getRulesTemplate | GET | Get rule list |
| addRuleTemplate | POST | Create new rule |
| deleteRulesTemplate | DELETE | Delete an existing rule |
| editRulesTemplate | PUT | Modify an existing rule |
| getApplicationControlStatusTemplate | GET | Get application control general settings |
| editApplicationControlStatusTemplate | PUT | Modify application control general settings |
getApplications
GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/applications
Get application list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field application name |
filtersFamilyId | query | integer | no | Filter query parameters, support field 0 |
// omada_call_operation
{
"operationId": "getApplications",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get application list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35107 - Dpi protocols are updating.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
getFamilies
GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/families
Get family list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getFamilies",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get family list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
Site Statics Manager View Only
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35107 - Dpi protocols are updating.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
getFilters
GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters
Get filter list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field filter name |
// omada_call_operation
{
"operationId": "getFilters",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get filter list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
addFilter
POST /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters
Create new filter
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema AddFilterEntity
| Field | Type | Required | Description |
|---|---|---|---|
filterName | string | yes | Filter name. It should be 1 - 128 characters |
description | string | yes | Description of filter. It should be 1 - 128 characters |
rules | array<integer> | yes | Rule ID list can be obtained from 'Get rule list' interface. |
// omada_call_operation
{
"operationId": "addFilter",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new filter.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.
-35109 - Dpi filters reach entry limits.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
deleteFilters
DELETE /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters/{filterId}
Delete an existing filter
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
filterId | path | string | yes | Filter ID |
// omada_call_operation
{
"operationId": "deleteFilters",
"params": {
"siteId": "<siteId>",
"filterId": "<filterId>"
}
}Details, permissions and error codes
Delete an existing filter.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35101 - Failed to delete filter. Please check whether filter is used by restriction.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
editFilters
PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/filters/{filterId}
Modify an existing filter
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
filterId | path | string | yes | Filter ID |
Request body — application/json (required) — schema EditFilterEntity
| Field | Type | Required | Description |
|---|---|---|---|
filterName | string | yes | Filter name. It should be 1 - 128 characters |
description | string | no | Description of filter. It should be 1 - 128 characters |
rules | array<integer> | yes | Rule ID list can be obtained from 'Get rule list' interface. |
// omada_call_operation
{
"operationId": "editFilters",
"params": {
"siteId": "<siteId>",
"filterId": "<filterId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing filter.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
getAssignRestrictions
GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions
Get application control assigned restriction list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getAssignRestrictions",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get application control assigned restriction list with the given omadacId, siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
addAssignRestriction
POST /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions
Create new restriction assigned to lan network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema RestrictionEntity
| Field | Type | Required | Description |
|---|---|---|---|
networkName | string | yes | Network name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface. |
filterId | integer | yes | Filter ID can be obtained from 'Get filter list' interface. |
networkId | string | no | Network ID. It should be the ID of lan network. It can be queried by request: Get LAN network list. |
// omada_call_operation
{
"operationId": "addAssignRestriction",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new restriction assigned to lan network.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35108 - Dpi restrictions reach entry limits.
-35111 - Restriction has applied to this lan network.
deleteAssignRestrictions
DELETE /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions/{restrictionId}
Delete an existing restriction
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
restrictionId | path | string | yes | Restriction ID |
// omada_call_operation
{
"operationId": "deleteAssignRestrictions",
"params": {
"siteId": "<siteId>",
"restrictionId": "<restrictionId>"
}
}Details, permissions and error codes
Delete an existing restriction.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
editAssignRestrictions
PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/restrictions/{restrictionId}
Modify an existing restriction
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
restrictionId | path | string | yes | Restriction ID |
Request body — application/json (required) — schema RestrictionEntity
| Field | Type | Required | Description |
|---|---|---|---|
networkName | string | yes | Network name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface. |
filterId | integer | yes | Filter ID can be obtained from 'Get filter list' interface. |
networkId | string | no | Network ID. It should be the ID of lan network. It can be queried by request: Get LAN network list. |
// omada_call_operation
{
"operationId": "editAssignRestrictions",
"params": {
"siteId": "<siteId>",
"restrictionId": "<restrictionId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing restriction.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
getRules
GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules
Get rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field rule name |
// omada_call_operation
{
"operationId": "getRules",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get rule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
addRule
POST /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules
Create new rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema AddRuleEntity
| Field | Type | Required | Description |
|---|---|---|---|
ruleName | string | yes | Rule name. It should be 1 - 128 characters |
schedule | string | yes | Schedule profile ID, which can be queried by request: Get time range profile list. |
qos | boolean | yes | Enable qos. true:enable / false:disable |
qosClass | integer | no | The Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3. |
applications | array<integer> | yes | Application ID list can be obtained from 'Get application list' interface. |
selectType | string | yes | Select type of applications. include: include selected applications, exclude: all but exclude selected applications, all: include all applications. |
// omada_call_operation
{
"operationId": "addRule",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.
-35110 - Dpi rules reach entry limits.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
deleteRules
DELETE /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules/{ruleId}
Delete an existing rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ruleId | path | string | yes | Rule ID |
// omada_call_operation
{
"operationId": "deleteRules",
"params": {
"siteId": "<siteId>",
"ruleId": "<ruleId>"
}
}Details, permissions and error codes
Delete an existing rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35100 - Failed to delete rule. Please check whether rule is used by filter.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
editRule
PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/rules/{ruleId}
Modify an existing rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ruleId | path | string | yes | Rule ID |
Request body — application/json (required) — schema EditRuleEntity
| Field | Type | Required | Description |
|---|---|---|---|
ruleName | string | yes | Rule name. It should be 1 - 128 characters |
schedule | string | yes | Schedule profile ID, which can be queried by request: Get time range profile list. |
qos | boolean | yes | Enable qos. true:enable / false:disable |
qosClass | integer | no | The Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3. |
applications | array<integer> | yes | Application ID list can be obtained from 'Get application list' interface. |
// omada_call_operation
{
"operationId": "editRule",
"params": {
"siteId": "<siteId>",
"ruleId": "<ruleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
getApplicationControlStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/status
Get application control general settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getApplicationControlStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get application control general settings with the given omadacId, siteId.
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
editApplicationControlStatus
PUT /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/status
Modify application control general settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DpiSettings
| Field | Type | Required | Description |
|---|---|---|---|
dpi | boolean | yes | Enable dpi. true:enable / false:disable |
loggingTraffic | boolean | yes | Enable logging traffic. true:enable / false:disable |
// omada_call_operation
{
"operationId": "editApplicationControlStatus",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify application control general settings.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35112 - Gateway is not existed
-35113 - Gateway is not support dpi
getApplicationControlTraffics
GET /openapi/v1/{omadacId}/sites/{siteId}/applicationControl/traffics
Get top 10 application traffics
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
dateStart | query | integer | yes | Date Start |
dateEnd | query | integer | yes | Date End |
// omada_call_operation
{
"operationId": "getApplicationControlTraffics",
"params": {
"siteId": "<siteId>",
"dateStart": "<dateStart>",
"dateEnd": "<dateEnd>"
}
}getAllowApp
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/allowApp
Get allow app
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getAllowApp",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get allow app.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getBlockApp
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/blockApp
Get block app
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getBlockApp",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get block app.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getCategoryAppInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/categoryAppInfo/{familyId}
Get app traffic in specific category
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
familyId | path | string | yes | Family Id |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getCategoryAppInfo",
"params": {
"siteId": "<siteId>",
"familyId": "<familyId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get app traffic in specific category.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getCategoryInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/categoryInfo
Get category info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getCategoryInfo",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get category info.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getCategoryUserInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/categoryUserInfo/{familyId}
Get client traffic in specific category
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
familyId | path | string | yes | Family Id |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getCategoryUserInfo",
"params": {
"siteId": "<siteId>",
"familyId": "<familyId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get client traffic in specific category.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getClientTraffic
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/clientTraffic
Get clients traffic
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getClientTraffic",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get clients traffic.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getClientTrafficV2
POST /openapi/v1/{omadacId}/sites/{siteId}/dashboard/clientTraffic
Get clients traffic V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientTrafficOpenApiQueryDataVO
| Field | Type | Required | Description |
|---|---|---|---|
page | integer | yes | Start from 1. |
pageSize | integer | yes | It should be within the range of 1–100. |
sorts | object | no | |
searchKey | string | no | Look for a specific piece of data. |
filters | object | no | |
searchField | string | no | |
start | integer | no | Start timestamp, in seconds, such as 1682000000 |
end | integer | no | End timestamp, in seconds, such as 1682000000 |
clientTrafficFilters | array<ClientTrafficFilterOpenApiVO> | no | Client traffic filtering condition |
// omada_call_operation
{
"operationId": "getClientTrafficV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get clients traffic V2.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getMostActiveApplications
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/mostActiveAppTraffic
Get most active applications
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getMostActiveApplications",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get most active applications.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getSpecificAppInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/specificAppInfo/{applicationId}
Get client traffic in specific app
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
applicationId | path | string | yes | Application Id |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getSpecificAppInfo",
"params": {
"siteId": "<siteId>",
"applicationId": "<applicationId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get client traffic in specific app.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getSpecificClientInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/specificClientInfo/{clientMac}
Get app traffic in specific client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client Mac |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getSpecificClientInfo",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get app traffic in specific client.
The interface requires one of the permissions:
Site Dashboard Manager View Only
clearDpiData
DELETE /openapi/v1/{omadacId}/sites/{siteId}/stat/dpi
Clear DPI data
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClearDpiDataRequest
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "clearDpiData",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Clear all DPI data.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Statics Manager Modify
Network Config Page Modify
Site Device Manager Modify
getClientTrafficList
POST /openapi/v1/{omadacId}/sites/{siteId}/stat/dpi/clients/trafficList
Get clients traffic list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ClientTrafficOpenApiQueryDataV2VO
| Field | Type | Required | Description |
|---|---|---|---|
page | integer | yes | Start from 1. |
pageSize | integer | yes | It should be within the range of 1–100. |
sorts | object | no | Sort rule, key: sort field, value: sort direction, value parameter may be one of asc or desc. |
filters | object | no | Filter [family] in the form of Map. When the value of the [family] key is empty, return an empty result. |
start | integer | no | Start timestamp, in seconds, such as 1682000000 |
end | integer | no | End timestamp, in seconds, such as 1682000000 |
clientTrafficFilters | array<ClientTrafficFilterOpenApiVO> | no | Client traffic filtering condition |
// omada_call_operation
{
"operationId": "getClientTrafficList",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get clients traffic list.
The interface requires one of the permissions:
Site Statics Manager View Only
Site Network Report Manager View Only
getApplicationsTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/applications
Get application list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field application name |
filtersFamilyId | query | integer | no | Filter query parameters, support field 0 |
// omada_call_operation
{
"operationId": "getApplicationsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get application list.
The interface requires one of the permissions:
Global Site Template Manager View Only
getFamiliesTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/families
Get family list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getFamiliesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get family list.
The interface requires one of the permissions:
Global Site Template Manager View Only
getFiltersTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters
Get filter list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field filter name |
// omada_call_operation
{
"operationId": "getFiltersTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get filter list.
The interface requires one of the permissions:
Global Site Template Manager View Only
addFilterTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters
Create new filter
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema AddFilterEntity
| Field | Type | Required | Description |
|---|---|---|---|
filterName | string | yes | Filter name. It should be 1 - 128 characters |
description | string | yes | Description of filter. It should be 1 - 128 characters |
rules | array<integer> | yes | Rule ID list can be obtained from 'Get rule list' interface. |
// omada_call_operation
{
"operationId": "addFilterTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new filter.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.
-35109 - Dpi filters reach entry limits.
deleteFiltersTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters/{filterId}
Delete an existing filter
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
filterId | path | string | yes | Filter ID |
// omada_call_operation
{
"operationId": "deleteFiltersTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"filterId": "<filterId>"
}
}Details, permissions and error codes
Delete an existing filter.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35101 - Failed to delete filter. Please check whether filter is used by restriction.
editFiltersTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/filters/{filterId}
Modify an existing filter
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
filterId | path | string | yes | Filter ID |
Request body — application/json (required) — schema EditFilterEntity
| Field | Type | Required | Description |
|---|---|---|---|
filterName | string | yes | Filter name. It should be 1 - 128 characters |
description | string | no | Description of filter. It should be 1 - 128 characters |
rules | array<integer> | yes | Rule ID list can be obtained from 'Get rule list' interface. |
// omada_call_operation
{
"operationId": "editFiltersTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"filterId": "<filterId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing filter.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35103 - Rules should not be empty.
-35104 - Filter name already exist.
getAssignRestrictionsTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions
Get application control assigned restriction list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getAssignRestrictionsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get application control assigned restriction list with the given omadacId, siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
addAssignRestrictionTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions
Create new restriction assigned to lan network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema RestrictionEntity
| Field | Type | Required | Description |
|---|---|---|---|
networkName | string | yes | Network name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface. |
filterId | integer | yes | Filter ID can be obtained from 'Get filter list' interface. |
networkId | string | no | Network ID. It should be the ID of lan network. It can be queried by request: Get LAN network list. |
// omada_call_operation
{
"operationId": "addAssignRestrictionTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new restriction assigned to lan network.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35108 - Dpi restrictions reach entry limits.
-35111 - Restriction has applied to this lan network.
deleteAssignRestrictionsTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions/{restrictionId}
Delete an existing restriction
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
restrictionId | path | string | yes | Restriction ID |
// omada_call_operation
{
"operationId": "deleteAssignRestrictionsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"restrictionId": "<restrictionId>"
}
}Details, permissions and error codes
Delete an existing restriction.
The interface requires one of the permissions:
Global Site Template Manager Modify
editAssignRestrictionsTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/restrictions/{restrictionId}
Modify an existing restriction
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
restrictionId | path | string | yes | Restriction ID |
Request body — application/json (required) — schema RestrictionEntity
| Field | Type | Required | Description |
|---|---|---|---|
networkName | string | yes | Network name. It should be the name of LAN network, can be obtained from 'Get LAN network list' interface. |
filterId | integer | yes | Filter ID can be obtained from 'Get filter list' interface. |
networkId | string | no | Network ID. It should be the ID of lan network. It can be queried by request: Get LAN network list. |
// omada_call_operation
{
"operationId": "editAssignRestrictionsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"restrictionId": "<restrictionId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing restriction.
The interface requires one of the permissions:
Global Site Template Manager Modify
getRulesTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules
Get rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field rule name |
// omada_call_operation
{
"operationId": "getRulesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only
addRuleTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules
Create new rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema AddRuleEntity
| Field | Type | Required | Description |
|---|---|---|---|
ruleName | string | yes | Rule name. It should be 1 - 128 characters |
schedule | string | yes | Schedule profile ID, which can be queried by request: Get time range profile list. |
qos | boolean | yes | Enable qos. true:enable / false:disable |
qosClass | integer | no | The Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3. |
applications | array<integer> | yes | Application ID list can be obtained from 'Get application list' interface. |
selectType | string | yes | Select type of applications. include: include selected applications, exclude: all but exclude selected applications, all: include all applications. |
// omada_call_operation
{
"operationId": "addRuleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.
-35110 - Dpi rules reach entry limits.
deleteRulesTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules/{ruleId}
Delete an existing rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
ruleId | path | string | yes | Rule ID |
// omada_call_operation
{
"operationId": "deleteRulesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ruleId": "<ruleId>"
}
}Details, permissions and error codes
Delete an existing rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35100 - Failed to delete rule. Please check whether rule is used by filter.
editRulesTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/rules/{ruleId}
Modify an existing rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
ruleId | path | string | yes | Rule ID |
Request body — application/json (required) — schema EditRuleEntity
| Field | Type | Required | Description |
|---|---|---|---|
ruleName | string | yes | Rule name. It should be 1 - 128 characters |
schedule | string | yes | Schedule profile ID, which can be queried by request: Get time range profile list. |
qos | boolean | yes | Enable qos. true:enable / false:disable |
qosClass | integer | no | The Class value selected in the Qos Class configuration, required when qos is enable. Valid values is 0: Others, 1: Class 1, 2: Class 2, 3: Class 3. |
applications | array<integer> | yes | Application ID list can be obtained from 'Get application list' interface. |
// omada_call_operation
{
"operationId": "editRulesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ruleId": "<ruleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35102 - Applications should not be empty.
-35105 - Rule name already exist.
getApplicationControlStatusTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/status
Get application control general settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getApplicationControlStatusTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get application control general settings with the given omadacId, siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
editApplicationControlStatusTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/applicationControl/status
Modify application control general settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema DpiSettings
| Field | Type | Required | Description |
|---|---|---|---|
dpi | boolean | yes | Enable dpi. true:enable / false:disable |
loggingTraffic | boolean | yes | Enable logging traffic. true:enable / false:disable |
// omada_call_operation
{
"operationId": "editApplicationControlStatusTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify application control general settings.
The interface requires one of the permissions:
Global Site Template Manager Modify